FLANG

Public Member Functions | Static Public Member Functions | List of all members
fir::HeapType Class Reference

`#include <flang/Optimizer/Dialect/FIRType.h>`

Inheritance diagram for fir::HeapType:

## Public Member Functions
mlir::Type | getEleTy () const

## Static Public Member Functions
static HeapType | get (mlir::Type elementType)
static bool | kindof (unsigned kind)
static mlir::LogicalResult | verifyConstructionInvariants (mlir::Location, mlir::Type eleTy)

## Detailed Description

The type of a heap pointer. Fortran entities with the ALLOCATABLE attribute may be allocated on the heap at runtime. These pointers are explicitly distinguished to disallow the composition of multiple levels of indirection. For example, an ALLOCATABLE POINTER is invalid.

The documentation for this class was generated from the following files:

- include/flang/Optimizer/Dialect/FIRType.h
- lib/Optimizer/Dialect/FIRType.cpp